function newExcl03010Control(pageName, doctx="[data-doctx='excl03010']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "crdnReReg"
        , prefixName: "단속 재등록"
        , dataGetter: obj => obj["List"]
        , keys: ["RE_REG_ID"]
        , appendData: true
        , infoSize: "xxl"
        , urls: {
              load: "/list.do"
            , getInfo: "/info.do"
        }
        , formats: {
              RE_REG_YMD: dateFormat
            , CRDN_YMD_TM: datetimeFormat
            , FFNLG_CRDN_AMT: numberFormat
            , REG_DT: datetimeFormat
        }
    });

    // 검색 조건
    ctrl.query = { pageNum: 1, fetchSize: DEFAULT_FETCH_SIZE };                 // 1 페이지당 자료 건수 index.jsp에서 확인
    // paging
    ctrl.pagingSupport = new FimsPagingSupport({
          ctrl: ctrl                                                            // DatasetControl
        , ignoreCtrlPrefix: true                                                // ctrl.prefix 가 있더라도 무시
        , linkContainer: "[name='dataPaging']"                                  // <ul class="pagination pagination-primary" name="dataPaging">
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // Dataset 변경 이벤트
    ctrl.onDatasetChange = (obj, option) => {
        // 데이터 셋
        let dataList = ctrl.dataset;
        let empty = dataList.empty;
        let clsForTask = $(ctrl.find("[name='frmSearch']")).find("[name='taskSeCd']:checked").val().toLowerCase();

        // 업무별 dataTables(그리드) tr, td
        let foundContent = ctrl.find("[name='tmpltRows']").content;
        let foundTr = $(foundContent).find("tr")[0].cloneNode(false);
        let foundTds = $(foundContent).find("." + clsForTask + ",.cmn");

        foundTds.each(function() {
            foundTr.appendChild(this.cloneNode(true));
        });

        let replacer = (str, dataItem) => str
            .replace(/{onclick}/gi, "pageObject['" + pageName + "'].dataTableClick('{data-index}');")
            .replace(/{ondblclick}/gi, "pageObject['" + pageName + "'].dataTableDblClick('{data-index}');");

        let trs = empty ?
                      [ctrl.find("[name='tmpltNotFound']").content.querySelector("." + clsForTask + ",.cmn").outerHTML]
                    : dataList.inStrings(foundTr.outerHTML, replacer);

        let noMore = (dataList.length >= obj["Paging"]?.totalSize);             // 전체 건수
        let initScroll = (ctrl.query.pageNum < 2);

        if (option != null && option.reloaded) {
            initScroll = false;
        }

        // dataTables(그리드)에 자료 표시 td
        ctrl.find("[name='tableRspns']").changeContent(trs.join(), initScroll, noMore);

        // dataTables(그리드)에 페이지 표시 pagingInfo
        ctrl.pagingSupport.setPagingInfo(obj);

        // 보안모드
        fn_securityModeToggle($("#securityMode--top").is(":checked"));
    };

    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        Apply.fromDataset.currentRow(ctrl.dataset, item, ctrl.find("[name='tbodyList']"));
    };

    // 상세 정보 dialog
    ctrl.getInfo = (params) => {
        // 단속 ID가 없다면 개별총정보 팝업을 실행하지 않는다.
        if (!params) return;

        ajax.get({
              url: wctx.url("/sprt/sprt02/010/main.do")
            , data: params || {}
            , success: (resp) => {
                let dialogName = "totalInfoMainDialog";
                let dialogId = dialogName + "-" + uuid();

                dialog.open({
                      id: dialogId
                    , title: "개별총정보"
                    , size: ctrl.infoSize
                    , content: resp
                    , init: () => {
                        $("#" + dialogId).attr("name", dialogName);
                        $("#" + dialogId).attr("data-ref-doctx", "${pageName}");

                        AppSupport.setDialogZindex();
                    }
                    , onClose: () => { }
                });
            }
        });
    }

    return ctrl;
}
